import request from '@/utils/request';

// 查询案例
export function listCaseApi(query) {
    return request({
        url: '/iot/case/list',
        method: 'get',
        params: query,
    });
}

// 添加案例
export function addCaseApi(data) {
    return request({
        url: '/iot/case/add',
        method: 'post',
        data
    });
}

// 修改案例
export function updateCaseApi(data) {
    return request({
        url: '/iot/case/update',
        method: 'post',
        data
    });
}

// 删除案例
export function deleteCaseApi(query) {
    return request({
        url: '/iot/case/delete',
        method: 'get',
        params: query,
    });
}